
QGIS Application - Feature request #15222

Offset Curve: unable to activate the tool on polygon layer

2016-07-04 09:51 PM - Harrissou Santanna

Status: Closed

Priority: Normal

Assignee:

Category: Digitising

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Easy fix?: No Copied to github as #: 23159

Description

Select a polygon layer and activate edit mode

The "Offset Curve" digitizing tool remains grayed

Select a line layer and activate edit mode, the offset curve is enabled.

Wonder why such limitation on polygons, given that, from the line layer, one can apply the tool on polygon features.

Associated revisions

Revision 2c65dbcd - 2017-11-29 09:19 AM - Mathieu Pellerin - nIRV

[offset curve tool] fix two serious issues (#5760)

- broken polygon support (fixes #15222)

- lost of parts when using tool with mutlipart features

History

#1 - 2017-05-01 12:46 AM - Giovanni Manghi

- Easy fix? set to No

#2 - 2017-11-29 09:19 AM - Mathieu Pellerin - nIRV

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|2c65dbcd3bb8e04e84e9f46f9f6cb9801c8dad71.

#3 - 2017-11-30 04:25 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Pull Request or Patch supplied changed from No to Yes

- Description updated
